Page MenuHomePhabricator

[llvm-exegesis][X86] Randomize CMOVcc/SETcc OPERAND_COND_CODE CondCodes
ClosedPublic

Authored by lebedev.ri on Apr 1 2019, 6:56 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

lebedev.ri created this revision.Apr 1 2019, 6:56 AM

Thoughts on this? Did i misunderstood how/where the randomization should be performed?

lebedev.ri retitled this revision from [llvm-exegesis] Randomize CMOV CondCodes to [llvm-exegesis][X86] Randomize CMOVcc/SETcc OPERAND_COND_CODE CondCodes.Apr 6 2019, 7:18 AM
lebedev.ri edited the summary of this revision. (Show Details)
gchatelet accepted this revision.Apr 8 2019, 2:52 AM
gchatelet added inline comments.
tools/llvm-exegesis/lib/SnippetGenerator.cpp
156 ↗(On Diff #193082)

"can't pick a random element from an empty container"

This revision is now accepted and ready to land.Apr 8 2019, 2:52 AM

Thank you for the review!

This revision was automatically updated to reflect the committed changes.